# Uses of Enum Class
javax.swing.GroupLayout.Alignment

Packages that use GroupLayout.Alignment
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.

## Uses of GroupLayout.Alignment in javax.swing

Methods in javax.swing that return GroupLayout.Alignment
Modifier and Type
Method
Description
`static GroupLayout.Alignment`
GroupLayout.Alignment.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static GroupLayout.Alignment[]`
GroupLayout.Alignment.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in javax.swing with parameters of type GroupLayout.Alignment
Modifier and Type
Method
Description
`GroupLayout.ParallelGroup`
GroupLayout.ParallelGroup.`addComponent(Component component, GroupLayout.Alignment alignment)`
Adds a `Component` to this `ParallelGroup` with the specified alignment.
`GroupLayout.ParallelGroup`
GroupLayout.ParallelGroup.`addComponent(Component component, GroupLayout.Alignment alignment, int min, int pref, int max)`
Adds a `Component` to this `ParallelGroup` with the specified alignment and size.
`GroupLayout.ParallelGroup`
GroupLayout.ParallelGroup.`addGroup(GroupLayout.Alignment alignment, GroupLayout.Group group)`
Adds a `Group` to this `ParallelGroup` with the specified alignment.
`GroupLayout.ParallelGroup`
GroupLayout.`createParallelGroup(GroupLayout.Alignment alignment)`
Creates and returns a `ParallelGroup` with the specified alignment.
`GroupLayout.ParallelGroup`
GroupLayout.`createParallelGroup(GroupLayout.Alignment alignment, boolean resizable)`
Creates and returns a `ParallelGroup` with the specified alignment and resize behavior.